<!--
 Copyright (c) 2000-2025 Ericsson Telecom AB
 All rights reserved. This program and the accompanying materials
 are made available under the terms of the Eclipse Public License v2.0
 which accompanies this distribution, and is available at
 https://www.eclipse.org/org/documents/epl-2.0/EPL-2.0.html

 Contributors:
  Balasko, Jeno
  Raduly, Csaba
-->
<schema xmlns="http://www.w3.org/2001/XMLSchema"
            xmlns:ns27="www.XmlTest.org/element_recordOfElements"
            targetNamespace="www.XmlTest.org/element_recordOfElements">
  <annotation>
    <documentation xml:lang="en">
      This documentum tests based on
      XML Schema Part 1: Structures Second Edition
    </documentation>
  </annotation>


<complexType name="PersonInfo1">
   <sequence>
     <element name="firstName" type="string"/>
     <element name="lastName"  type="string"/>
     <element name="age"       type="integer"/>
     <element name="degree"    type="string" default="Msc" minOccurs="0"/>
  </sequence>
</complexType>

<complexType name="PersonInfo2">
   <sequence>
     <element name="firstName" type="string"/>
     <element name="lastName"  type="string"/>
     <element name="age"       type="integer" minOccurs="0"/>
  </sequence>
  <attribute name="title" type="string"/>
  <attribute name="nationality" type="string" default="American"/>
</complexType>

<element name="PI" type="ns27:PersonInfo2"/>

</schema>
